# This file created by conda-build 3.21.9
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Sep 21 07:22:28 2022
# ------------------------------------------------

package:
  name: nbformat
  version: 5.5.0
source:
  sha256: 9ebe30e6c3b3e5b47d39ff0a3897a1acf523d2bfafcb4e2d04cdb70f8a66c507
  url: https://pypi.io/packages/source/n/nbformat/nbformat-5.5.0.tar.gz
build:
  entry_points:
    - jupyter-trust = nbformat.sign:TrustNotebookApp.launch_instance
  number: '0'
  script: /opt/conda/conda-bld/nbformat_1663744952973/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install . --no-deps -vv
  string: py39h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - ca-certificates 2022.07.19 h06a4308_0
    - certifi 2022.9.14 py39h06a4308_0
    - flit-core 3.6.0 pyhd3eb1b0_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.3 h5eee18b_3
    - openssl 1.1.1q h7f8727e_0
    - pip 22.1.2 py39h06a4308_0
    - python 3.9.13 haa1d7c7_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 63.4.1 py39h06a4308_0
    - sqlite 3.39.2 h5082296_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2022c h04d1e81_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h5eee18b_3
  run:
    - jsonschema >=2.6
    - jupyter_core
    - python >=3.9,<3.10.0a0
    - python-fastjsonschema
    - traitlets >=5.1
test:
  commands:
    - pip check
    - jupyter trust --version
    - jupyter-trust --help
    - pip install pep440
    - pytest -vv --cov nbformat --cov-report term-missing:skip-covered --no-cov-on-fail
      --cov-fail-under 79
  imports:
    - nbformat
  requires:
    - pip
    - pytest
    - pytest-cov
    - testpath
  source_files:
    - tests
about:
  dev_url: https://github.com/jupyter/nbformat
  doc_url: https://nbformat.readthedocs.io
  home: https://jupyter.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: COPYING.md
  summary: The Jupyter Notebook format
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 0da54783-054d-4b28-9a7a-a46aede93987
  recipe-maintainers:
    - jakirkham
    - minrk
    - mpacer
    - ocefpaf
    - pelson
    - takluyver
  remote_url: git@github.com:AnacondaRecipes/nbformat-feedstock.git
  sha: d0badda4a2522338432d191c70d2fb5cd6889812
